Subject: Re: Gitk - Seeing just a specific remote ?

From: Johannes Sixt <[email-masked]>
Date: Fri, 06 Mar 2009 09:04:13 +0100

Aneesh Bhasin schrieb:
> I have a git repository (say, new_develop) in which a remote
> repository (say old_develop) is also there of some older work with the
> associated remote branches. Is there a way to see all  the branches of
> only this remote older_develop repository graphically in gitk -
> something that shows me the same thing that doing a 'gitk --all' would
> have shown had I done it from the older_develop repository itself ? If
> I say 'gitk --all' (in new_develop) it shows me all the branches
> (local as well as remote). Specifying 'gitk --remotes' also shows all
> the remote branches (not just from the old_develop remote repo) ? Is
> there some other way that I am missing ? I have seen the man page of
> git-rev-list too but there doesn't sem to be a way to do it.

gitk has an option, --argscmd, that you can use:

  gitk --argscmd="git for-each-ref --format='%(refname)'
refs/remotes/old_develop/*"

-- Hannes